Get one table's per-run credit usage
curl --request GET \
--url https://api.getoneprofile.ai/credits/usage/by_table/{table_id}/by_run/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getoneprofile.ai/credits/usage/by_table/{table_id}/by_run/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getoneprofile.ai/credits/usage/by_table/{table_id}/by_run/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"column_count": 123,
"credits_spent": 123,
"description": "<string>",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_started_at": "2023-11-07T05:31:56Z",
"units": 123
}
],
"total_credits_spent": 123,
"truncated": true
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}credits
Get one table's per-run credit usage
Get one table’s per-run usage, newest first.
GET
/
credits
/
usage
/
by_table
/
{table_id}
/
by_run
/
Get one table's per-run credit usage
Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Range start (ISO 8601)
Range end (ISO 8601)
Was this page helpful?